---
updatedAt: 2026-03-31T12:12:41.000Z
agentTools:
  projectIndex: https://api.net2grid.com/llms.txt
---

# /notification/stop-repetitive-alarm

Stop recurring notifications for the given notification code.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "NET2GRID Customer Engagement API",
    "description": "This is the B2C NET2GRID API that can be used by mobile and web apps to manage the accounts and the data that are provided by the NET2GRID Meter Data Analytics Platform.",
    "version": "13.6.0"
  },
  "servers": [
    {
      "url": "http://api.net2grid.docker",
      "description": "API server"
    }
  ],
  "paths": {
    "/v2/notification/stop-repetitive-alarm": {
      "put": {
        "tags": [
          "Notifications"
        ],
        "summary": "/notification/stop-repetitive-alarm",
        "description": "Stop recurring notifications for the given notification code.",
        "operationId": "v2/putNotificationStopRepetitiveAlarm",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/StopRepetitiveAlarmDTO"
              },
              "examples": {
                "StopRepetitiveAlarmExample": {
                  "$ref": "#/components/examples/StopRepetitiveAlarmExample"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/OkResponseDTO"
                },
                "examples": {
                  "OkResponse": {
                    "$ref": "#/components/examples/OkResponse"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request<br/>\n    123: Notification recipient not found.<br/>\n    156: User or meter validation failed.<br/>\n    168: Unexpected exception in notification service client.<br/>\n    999: Unspecified Error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                }
              }
            }
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "StopRepetitiveAlarmDTO": {
        "properties": {
          "code": {
            "description": "The code of the notification we want to cancel.",
            "type": "string",
            "enum": [
              "OL002.1R"
            ]
          }
        },
        "type": "object"
      },
      "ErrorDTO": {
        "properties": {
          "code": {
            "type": "integer"
          },
          "message": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorResponseDTO": {
        "properties": {
          "status": {
            "type": "string"
          },
          "error": {
            "$ref": "#/components/schemas/ErrorDTO"
          }
        },
        "type": "object"
      },
      "OkResponseDTO": {
        "required": [
          "status",
          "message"
        ],
        "properties": {
          "status": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        },
        "type": "object"
      }
    },
    "examples": {
      "OkResponse": {
        "summary": "Success response",
        "value": {
          "status": "ok",
          "message": "ok"
        }
      },
      "StopRepetitiveAlarmExample": {
        "summary": "Stop repetitive alarm request body",
        "value": {
          "code": "OL002.1R"
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "bearerFormat": "JWT",
        "scheme": "bearer"
      }
    }
  },
  "tags": [
    {
      "name": "Notifications"
    }
  ],
  "x-explorer-enabled": false
}
```